
Redmine - Feature #1653

issue category lost when moving projects

2008-07-16 01:27 - Burt Culver

Status: Closed Start date: 2008-07-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

We are using redmine trunk revision 1645 on a centOS 5.2 server.

mysql 5.0.44

ruby 1.8.7

rails 2.1.0

When we move an issue from one project to another, the category is lost on the issue even though the category exists in both

projects.

This is what shows in the logs for the move (X's replace sensitive data):

Processing IssuesController#move (for 127.0.0.12 at 2008-07-16 11:11:13) [POST]

Session ID: XXXXXX

Parameters: {"new_tracker_id"=>"", "commit"=>"Move", "ids"=>["154"], "new_project_id"=>"5", "action"=>"move", "id"=>"154",

"controller"=>"issues"}

Redirected to http://XXXXXX/projects/devq/issues

Completed in 0.07481 (13 reqs/sec) | DB: 0.04585 (61%) | 302 Found [http://XXXXXX/issues/move/154]

Associated revisions

Revision 1697 - 2008-07-26 11:27 - Jean-Philippe Lang

When moving an issue to another project, reassign it to the category with same name if any (#1653).

History

#1 - 2008-07-17 17:16 - Hiroyuki Yoshioka

- File issue.patch added

I guess this is not a bug.

But this patch enables you to do what you want.

#2 - 2008-07-26 11:25 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r1697. When moved, the issue will now be reassigned to the category with same name if any.

#3 - 2008-07-26 11:25 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

Files

issue.patch 570 Bytes 2008-07-17 Hiroyuki Yoshioka

Powered by TCPDF (www.tcpdf.org)

2025-05-13 1/1

http://XXXXXX/projects/devq/issues
http://XXXXXX/issues/move/154
https://www.redmine.org/projects/redmine/repository/svn/revisions/1697
http://www.tcpdf.org

